import { QueryStoreItem } from '@graphiql/toolkit';
import { ReactNode } from 'react';
export type SnippetContextType = {
    items: QueryStoreItem[];
    editQuery: (query: string) => void;
    editVariables: (variables: string) => void;
    snippetsEndpoint: string;
};
export type SnippetShareContextType = {
    compressedQuery: string | undefined;
    editQuery: (query: string) => void;
    editVariables: (variables: string) => void;
};
export declare function createNullableContext<T>(name: string): import('react').Context<T | null>;
export declare function createContextHook<T>(context: React.Context<T | null>): () => T;
export declare const SnippetContext: import('react').Context<SnippetContextType | null>;
type SnippetContextProviderProps = {
    children: ReactNode;
    snippetsEndpoint: string;
    editQuery: (query: string) => void;
    editVariables: (variables: string) => void;
};
export type Snippet = {
    title: string;
    query: string;
    variables?: string;
};
export declare function SnippetContextProvider({ editQuery, editVariables, snippetsEndpoint, children }: SnippetContextProviderProps): import("react/jsx-runtime").JSX.Element;
export declare const useSnippetContext: () => SnippetContextType;
export declare const SnippetShareContext: import('react').Context<SnippetShareContextType | null>;
type SnippetShareContextProviderProps = {
    children: ReactNode;
    compressedQuery: string | undefined;
    editQuery: (query: string) => void;
    editVariables: (variables: string) => void;
};
export declare function SnippetShareContextProvider({ compressedQuery, editQuery, editVariables, children }: SnippetShareContextProviderProps): import("react/jsx-runtime").JSX.Element;
export declare const useSnippetShareContext: () => SnippetShareContextType;
export {};
